Package Details: qtmobility 1.2.0-9

Git Clone URL: https://aur.archlinux.org/qtmobility.git (read-only)
Package Base: qtmobility
Description: A cross-platform application and UI framework
Upstream URL: https://qt.gitorious.org/qt-mobility
Licenses: GPL3, LGPL2.1
Submitter: daimonion
Maintainer: ImNtReal
Last Packager: ImNtReal
Votes: 56
Popularity: 0.000285
First Submitted: 2012-03-13 14:06
Last Updated: 2015-06-08 13:28

Latest Comments

ImNtReal commented on 2015-04-02 19:33

@Vladimiroff, you should be able to build it, now. Hopefully, you don't need the connectivity module.

ImNtReal commented on 2015-04-02 18:20

It looks like newer versions require Qt5Contacts, which I can't seem to find anywhere. I'll work to see if I can get the older version patched to build against current qt4.

ImNtReal commented on 2015-04-02 16:45

I'm having the same issue. I'm also having trouble building a newer unreleased version of it. This one may wind up being a big pain to fix.

Vladimiroff commented on 2015-03-31 12:42

I get an error while trying to compile it:

g++ -c -pipe -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong --param=ssp-buffer-size=4 -fvisibility=hidden -fvisibility-inlines-hidden -Wall -W -D_REENTRANT -fPIC -DQT_SHARED -DQTM_PLUGIN_PATH=\"/usr/lib/qt4/plugins\" -DQT_BUILD_CONNECTIVITY_LIB -DQT_MAKEDLL -DQT_NO_DEBUG -DQT_CORE_LIB -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4 -I../global -Infc -Ibluetooth -I.. -I/usr/include/qt4/QtNetwork -I../../build/Release/QtConnectivity/moc -o ../../build/Release/QtConnectivity/qbluetoothlocaldevice.o bluetooth/qbluetoothlocaldevice.cpp
In file included from bluetooth/qbluetoothlocaldevice.cpp:43:0:
bluetooth/qbluetoothlocaldevice_p.h:56:24: fatal error: QDBusContext: No such file or directory
#include <QDBusContext>
^
compilation terminated.
Makefile:570: recipe for target '../../build/Release/QtConnectivity/qbluetoothlocaldevice.o' failed
make[2]: *** [../../build/Release/QtConnectivity/qbluetoothlocaldevice.o] Error 1
make[2]: Leaving directory '/tmp/yaourt-tmp-kiril/aur-qtmobility/src/qt-mobility-opensource-src-1.2.0/src/connectivity'
Makefile:340: recipe for target 'sub-connectivity-make_default' failed
make[1]: *** [sub-connectivity-make_default] Error 2
make[1]: Leaving directory '/tmp/yaourt-tmp-kiril/aur-qtmobility/src/qt-mobility-opensource-src-1.2.0/src'
Makefile:43: recipe for target 'sub-src-make_default-ordered' failed
make: *** [sub-src-make_default-ordered] Error 2
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build qtmobility.

sl1pkn07 commented on 2013-10-19 13:22

pkgbuild with new version and patch from ROSA project

http://sl1pkn07.no-ip.com/paste/view/0f85827d

greetings

sl1pkn07 commented on 2013-10-18 21:06

i lack gstreamer . BTW, i'm no use it

the new homepage is http://qt.digia.com/Product/Qt-Add-Ons/Mobility/

greetings

sl1pkn07 commented on 2013-10-18 20:47

pkgbuild with new version and patch from ROSA project

http://sl1pkn07.no-ip.com/paste/view/493c4cd5

greetimgs

daimonion commented on 2013-08-20 20:01

@macxcool:
Files in issue are prl files. I don't know if it is safe to remove it from package (most probably it is), so I let them to install. You can safely ignore this warning.

@dreieck:
networkmanager is needed to build Bearer Management API (libQtBearer.so). (From Qt website: "Bearer Management controls the connectivity state of the system so that the user can start or stop interfaces or roam transparently between access points.")

@bbv & FSMaxB:
Removed 'bluez' and added 'bluez-libs'. Thank you.

FSMaxB commented on 2013-08-20 17:41

With gnome-control-center installed it isn't possible to install this package without changing the dependencies from 'bluez' to 'bluez4'.

Anonymous comment on 2013-07-25 11:17

Could you please add extra/bluez-libs to dependencies? I couldn't compile qtmobility without this package.

dreieck commented on 2013-05-13 11:44

networkmanager ist nor a makedepend: It also builds without. It is optional.

Please, remove "networkmanager" from makedepends for that reason, so people can build the package without the need for networkmanager.

macxcool commented on 2013-03-21 10:48

makepkg tells me "Package contains reference to $srcdir"

daimonion commented on 2013-03-03 21:20

I've successfully compiled it here, but OK, I'll make that change.

arcanis commented on 2013-03-03 21:18

@Demon
Ooops =)
I created symlink /usr/bin/qmake4 (because it was required other package). Default package qt4 doesn't have qmake4, only qmake-qt4. So PKGBUILD must have string:
-qmake-exec qmake-qt4
but not qmake4. I'm sorry=)

daimonion commented on 2013-03-03 20:50

Thanks, missed that.

arcanis commented on 2013-03-03 20:45

Please, add
-plugindir /usr/lib/qt4/plugins (qt must be replaced qt4)
-qmake-exec qmake4 (needs for qt4)

hussam commented on 2012-05-07 08:43

please add
-plugindir /usr/lib/qt/plugins
otherwise the plugins are ending up in /usr/plugins/ which is a wrong location.

daimonion commented on 2012-05-04 17:50

I don't have pulseaudio installed so I did not experience this. Updated, thanks for notifying me, and sorry for the delay.

coolmast commented on 2012-05-01 17:11

Newest gcc version didn't want to compile the package. I needed to add this patch: http://pastebin.com/hMHdZdPe Now compile process is working. Thanks.

daimonion commented on 2012-03-15 23:07

There's a commented "# -plugindir /usr/share/qt/plugins", use it to override default plugin dir. Until we get more testing about this I wont change it.

daimonion commented on 2012-03-15 23:03

There's a commented "# -plugindir /usr/share/qt/plugins", use it to override default plugin dir. Until we get more testing about this I wont change it.

daimonion commented on 2012-03-15 23:00

bash, that's by default. I can pass a flag to install plugins somewhere else, but where? Question is could programs find those libs?

ilpianista commented on 2012-03-15 22:55

Also, why are the plugins installed in /usr/plugins/ ?!

ilpianista commented on 2012-03-15 22:51

/usr/include/QtOpenGL/qgl.h:88:20: fatal error: GL/gl.h: No such file or directory

Please add the 'mesa' makedepends